For the complete documentation index, see llms.txt. This page is also available as Markdown.

Debitoren

Hinweise zur Funktion

Die "AccessibilityId" stellt die ID der Adresse der verbundenen Person dar.

Debitoren anlegen

Version 1.2


post
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Abfrageparameter
apiKeystringErforderlich
Body
DebitorNumberstring · nullableOptional
DefaultSalesTaxKeyIdinteger · int32 · nullableOptional
DefaultRegulationIdinteger · int32Optional
PaymentsExclusionstring · date · nullableOptionalExample: 2025-10-20Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
Descriptionstring · nullableOptional
DunningBlockbooleanOptional
LockedbooleanOptional
AllocateOpenItemsAutomaticallybooleanOptional
IsVariousbooleanOptional
MaturityDefaultinteger · int32 · nullableOptional
MaturityIn1Dayinteger · int32 · nullableOptional
MaturityIn2Dayinteger · int32 · nullableOptional
MaturityIn3Dayinteger · int32 · nullableOptional
CashDiscountPercent1number · decimal · nullableOptional
CashDiscountPercent2number · decimal · nullableOptional
CashDiscountPercent3number · decimal · nullableOptional
PersonIdinteger · int32Optional
NodeIdinteger · int32Optional
AvailableForAllManagementsbooleanOptional
CreationDatestring · date-timeOptional
ManagementIdsinteger · int32[] · nullableOptional
BankaccountIdinteger · int32 · nullableOptional
AccessibilityIdinteger · int32Optional
Antworten
201

Created

Idinteger · int32Optional
DebitorNumberstring · nullableOptional
post/openwowi/v1.2/AccountancyMasterDataWrite/Debitor
POST /openwowi/v1.2/AccountancyMasterDataWrite/Debitor?apiKey=text HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 526

{
  "DebitorNumber": "text",
  "DefaultSalesTaxKeyId": 1,
  "DefaultRegulationId": 1,
  "PaymentsExclusion": "2025-10-20",
  "Description": "text",
  "DunningBlock": true,
  "Locked": true,
  "AllocateOpenItemsAutomatically": true,
  "IsVarious": true,
  "MaturityDefault": 1,
  "MaturityIn1Day": 1,
  "MaturityIn2Day": 1,
  "MaturityIn3Day": 1,
  "CashDiscountPercent1": 1,
  "CashDiscountPercent2": 1,
  "CashDiscountPercent3": 1,
  "PersonId": 1,
  "NodeId": 1,
  "AvailableForAllManagements": true,
  "CreationDate": "2026-01-01T00:00:00.000Z",
  "ManagementIds": [
    1
  ],
  "BankaccountId": 1,
  "AccessibilityId": 1
}
{
  "Id": 1,
  "DebitorNumber": "text"
}

Debitoren ändern

Version 1.2


put
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Pfadparameter
debitorIdinteger · int32Erforderlich
Abfrageparameter
apiKeystringErforderlich
Body
DebitorNumberstring · nullableOptional
DefaultSalesTaxKeyIdinteger · int32 · nullableOptional
DefaultRegulationIdinteger · int32Optional
PaymentsExclusionstring · date · nullableOptionalExample: 2025-10-20Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
Descriptionstring · nullableOptional
DunningBlockbooleanOptional
LockedbooleanOptional
AllocateOpenItemsAutomaticallybooleanOptional
IsVariousbooleanOptional
MaturityDefaultinteger · int32 · nullableOptional
MaturityIn1Dayinteger · int32 · nullableOptional
MaturityIn2Dayinteger · int32 · nullableOptional
MaturityIn3Dayinteger · int32 · nullableOptional
CashDiscountPercent1number · decimal · nullableOptional
CashDiscountPercent2number · decimal · nullableOptional
CashDiscountPercent3number · decimal · nullableOptional
PersonIdinteger · int32Optional
NodeIdinteger · int32Optional
AvailableForAllManagementsbooleanOptional
CreationDatestring · date-timeOptional
ManagementIdsinteger · int32[] · nullableOptional
BankaccountIdinteger · int32 · nullableOptional
AccessibilityIdinteger · int32Optional
Antworten
200

OK

Idinteger · int32Optional
DebitorNumberstring · nullableOptional
put/openwowi/v1.2/AccountancyMasterDataWrite/Debitor/{debitorId}
PUT /openwowi/v1.2/AccountancyMasterDataWrite/Debitor/{debitorId}?apiKey=text HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 526

{
  "DebitorNumber": "text",
  "DefaultSalesTaxKeyId": 1,
  "DefaultRegulationId": 1,
  "PaymentsExclusion": "2025-10-20",
  "Description": "text",
  "DunningBlock": true,
  "Locked": true,
  "AllocateOpenItemsAutomatically": true,
  "IsVarious": true,
  "MaturityDefault": 1,
  "MaturityIn1Day": 1,
  "MaturityIn2Day": 1,
  "MaturityIn3Day": 1,
  "CashDiscountPercent1": 1,
  "CashDiscountPercent2": 1,
  "CashDiscountPercent3": 1,
  "PersonId": 1,
  "NodeId": 1,
  "AvailableForAllManagements": true,
  "CreationDate": "2026-01-01T00:00:00.000Z",
  "ManagementIds": [
    1
  ],
  "BankaccountId": 1,
  "AccessibilityId": 1
}
{
  "Id": 1,
  "DebitorNumber": "text"
}

Debitoren löschen

Version 1.2


delete
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Pfadparameter
debitorIdinteger · int32Erforderlich
Abfrageparameter
apiKeystringErforderlich
Antworten
200

OK

Idinteger · int32Optional
DebitorNumberstring · nullableOptional
delete/openwowi/v1.2/AccountancyMasterDataWrite/Debitor/{debitorId}
DELETE /openwowi/v1.2/AccountancyMasterDataWrite/Debitor/{debitorId}?apiKey=text HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "Id": 1,
  "DebitorNumber": "text"
}

Zuletzt aktualisiert